<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>IF i_lrModulo&lt;&gt;0 THEN	&#xD;
	FC_ModuloPos:=i_lrInputPos-(TRUNC(i_lrInputPos/i_lrModulo)*i_lrModulo);&#xD;
	IF&#xD;
		FC_ModuloPos&lt;0&#xD;
	THEN&#xD;
		FC_ModuloPos:=i_lrModulo+FC_ModuloPos;&#xD;
	END_IF;&#xD;
ELSE&#xD;
	FC_ModuloPos := i_lrInputPos;&#xD;
END_IF;&#xD;
&#xD;
</Text></StructuredTextModel>